Last Comment Bug 619769 - FrameState::init leaks cursor when reifier.init() fails
: FrameState::init leaks cursor when reifier.init() fails
Status: RESOLVED FIXED
fixed-in-cedar
: coverity, mlk
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: mozilla6
Assigned To: timeless
:
: Jason Orendorff [:jorendorff]
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-16 12:47 PST by timeless
Modified: 2011-05-21 17:36 PDT (History)
3 users (show)
bzbarsky: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
reorder (921 bytes, patch)
2010-12-17 01:59 PST, timeless
jorendorff: review+
Details | Diff | Splinter Review

Description timeless 2010-12-16 12:47:06 PST
69 FrameState::init()
70 {
89     uint8 *cursor = (uint8 *)cx->calloc(totalBytes);
90     if (!cursor)
91         return false;
92 
93 #if defined JS_NUNBOX32
94     if (!reifier.init(nentries))
this leaks cursor:
95         return false;
Comment 1 timeless 2010-12-17 01:59:14 PST
Created attachment 498295 [details] [diff] [review]
reorder
Comment 2 Jason Orendorff [:jorendorff] 2011-04-25 10:48:01 PDT
Comment on attachment 498295 [details] [diff] [review]
reorder

Review of attachment 498295 [details] [diff] [review]:

r=me
Comment 3 Boris Zbarsky [:bz] (still a bit busy) 2011-05-20 19:47:41 PDT
http://hg.mozilla.org/projects/cedar/rev/7dcb9b3fa354
Comment 4 Daniel Holbert [:dholbert] 2011-05-21 17:35:59 PDT
http://hg.mozilla.org/mozilla-central/rev/7dcb9b3fa354

Note You need to log in before you can comment on or make changes to this bug.